Subject: [sipcore] Genart telechat review of draft-ietf-sipcore-digest-scheme-10

From: Roni Even via Datatracker <[email-masked]>
Date: Tue, 22 Oct 2019 01:38:01 -0700

Reviewer: Roni Even
Review result: Almost Ready

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair. Please wait for direction from your
document shepherd or AD before posting a new version of the draft.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-ietf-sipcore-digest-scheme-??
Reviewer: Roni Even
Review Date: 2019-10-22
IETF LC End Date: None
IESG Telechat date: 2019-10-31

Summary:
The document is almost ready for publication as a standard track RFC

Major issues:

Minor issues:

1. In section 2.4 " If the UAC cannot respond to any of the challenges in the
response, then it SHOULD abandon attempts to send the request, e.g. if the UAC
   does not have credentials or has stale credentials for any of the realms,
   unless a local policy dictates otherwise." Yet RFC3261 section 22.2 " If no
   credentials for a realm can be located, UACs MAY attempt to retry the
   request with a username of "anonymous" and no password (a  password of "").
   Is this deprecated ?

2. RFC3261 algorithm includes "MD5-sess" while section 2.6 removed it

3. it may be good to have a backward compatibility section.

Nits/editorial comments:

---

From: Rifaat Shekh-Yusef <[email-masked]>
Date: Tue, 22 Oct 2019 15:55:28 -0400

Thanks Roni!

See my replies below.

Regards,
 Rifaat

>    request with a username of "anonymous" and no password (a  password of
No, it is not deprecated by this document, and that part is covered by the
last sentence of the quoted paragraph, which talks about a local policy.

> 2. RFC3261 algorithm includes "MD5-sess" while section 2.6 removed it

These changes are provided in the context of RFC7616, so if an
implementation supports "-sess" it could always refer to that document for
these details.

> I believe we covered that in the security consideration section. Do you
see anything missing there?

Regards,
 Rifaat

---

From: "Roni Even (A)" <[email-masked]>
Date: Wed, 23 Oct 2019 05:43:13 +0000

Rifaat thanks,
See in line
Roni

On Tue, Oct 22, 2019 at 4:38 AM Roni Even via Datatracker <[email-masked]<mailto:[email-masked]>> wrote:
Reviewer: Roni Even
Review result: Almost Ready

Summary:

Major issues:

Minor issues:

No, it is not deprecated by this document, and that part is covered by the last sentence of the quoted paragraph, which talks about a local policy.

RE: I have no strong feeling it is just that the language is different

These changes are provided in the context of RFC7616, so if an implementation supports "-sess" it could always refer to that document for these details.

RE: I think that the BNF

algorithm = "algorithm" EQUAL ( "MD5" / "SHA-512-256" / "SHA-256"/ token )

should be

algorithm = "algorithm" EQUAL ( "MD5" / "MD5-sess / "SHA-512-256" / "SHA-256"/ token )

3. it may be good to have a backward compatibility section.
I believe we covered that in the security consideration section. Do you see anything missing there?

RE: OK, no problem.

Regards,
 Rifaat

Nits/editorial comments:

---

From: Rifaat Shekh-Yusef <[email-masked]>
Date: Wed, 23 Oct 2019 08:25:05 -0400

Hi Roni,

I agree with the ABNF issue. I will fix that in the next version of the
draft.

Thanks,
 Rifaat

On Wed, Oct 23, 2019 at 1:43 AM Roni Even (A) <[email-masked]> wrote:

> Rifaat thanks,
>
> See in line
>
> Roni
>
>
>
>
>
> On Tue, Oct 22, 2019 at 4:38 AM Roni Even via Datatracker <
> [email-masked]> wrote:
>
> Reviewer: Roni Even

---

From: "Roni Even (A)" <[email-masked]>
Date: Wed, 23 Oct 2019 12:28:44 +0000

HI Rifaat,
OK, no other comments
Roni

From: Rifaat Shekh-Yusef [mailto:[email-masked]]
Sent: Wednesday, October 23, 2019 3:25 PM
To: Roni Even (A)
Cc: Roni Even; [email-masked]; [email-masked]; SIPCORE; [email-masked]
Subject: Re: [Gen-art] Genart telechat review of draft-ietf-sipcore-digest-scheme-10

Hi Roni,

I agree with the ABNF issue. I will fix that in the next version of the draft.

Thanks,
 Rifaat

On Wed, Oct 23, 2019 at 1:43 AM Roni Even (A) <[email-masked]<mailto:[email-masked]>> wrote:
Rifaat thanks,
See in line
Roni

Summary:

Major issues:

Minor issues:

RE: I think that the BNF

should be

RE: OK, no problem.

Regards,
 Rifaat

Nits/editorial comments:

---

From: Alissa Cooper <[email-masked]>
Date: Wed, 30 Oct 2019 10:25:24 -0500

Roni, thanks for your review of this document. Rifaat, thanks for responding. I entered a DISCUSS ballot to chat about a remaining issue with the ABNF.

Best,
Alissa

> On Oct 23, 2019, at 7:28 AM, Roni Even (A) <[email-masked]> wrote:
> 
> HI Rifaat,
> OK, no other comments
> Roni
>  
> From: Rifaat Shekh-Yusef [mailto:[email-masked] <mailto:[email-masked]>] 
> Cc: Roni Even; [email-masked] <mailto:[email-masked]>; [email-masked] <mailto:[email-masked]>; SIPCORE; [email-masked] <mailto:[email-masked]>
> On Wed, Oct 23, 2019 at 1:43 AM Roni Even (A) <[email-masked] <mailto:[email-masked]>> wrote:
> Rifaat thanks,
> See in line
> Roni
>  
>  
> On Tue, Oct 22, 2019 at 4:38 AM Roni Even via Datatracker <[email-masked] <mailto:[email-masked]>> wrote:
> Reviewer: Roni Even
> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>>.
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/gen-art <https://www.ietf.org/mailman/listinfo/gen-art>